Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.xml
Class JRCrosstabGroupFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRBaseFactory
          net.sf.jasperreports.crosstabs.xml.JRCrosstabGroupFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

Direct Known Subclasses:
  JRCrosstabColumnGroupFactory, JRCrosstabRowGroupFactory

    public abstract class JRCrosstabGroupFactory

extends JRBaseFactory

Version:
  $Id: JRCrosstabGroupFactory.java 3500 2010-03-03 15:56:41Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ATTRIBUTE_name`
`static java.lang.String` | `ATTRIBUTE_totalPosition`
`static java.lang.String` | `ELEMENT_columnGroup`
`static java.lang.String` | `ELEMENT_crosstabColumnHeader`
`static java.lang.String` | `ELEMENT_crosstabTotalColumnHeader`

Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`digester`

Constructor Summary
`JRCrosstabGroupFactory()`

Method Summary
`protected void` | `setGroupAtts(org.xml.sax.Attributes atts, JRDesignCrosstabGroup group)`

Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.digester.ObjectCreationFactory
`createObject`

Field Detail

### ELEMENT_columnGroup

    public static final java.lang.String ELEMENT_columnGroup

See Also:
  Constant Field Values

### ELEMENT_crosstabColumnHeader

    public static final java.lang.String ELEMENT_crosstabColumnHeader

See Also:
  Constant Field Values

### ELEMENT_crosstabTotalColumnHeader

    public static final java.lang.String ELEMENT_crosstabTotalColumnHeader

See Also:
  Constant Field Values

### ATTRIBUTE_name

    public static final java.lang.String ATTRIBUTE_name

See Also:
  Constant Field Values

### ATTRIBUTE_totalPosition

    public static final java.lang.String ATTRIBUTE_totalPosition

See Also:
  Constant Field Values

Constructor Detail

### JRCrosstabGroupFactory

    public JRCrosstabGroupFactory()

Method Detail

### setGroupAtts

    protected final void setGroupAtts(org.xml.sax.Attributes atts,
                                      JRDesignCrosstabGroup group)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com